Subject: Re: bug#21530: 25.0.50; tty menus disappearing

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Sep 2015 21:11:55 +0300

> From: Mark Oteiza <[email-masked]>
> Date: Thu, 24 Sep 2015 13:48:06 -0400
> 
> > Thanks, with this I can reproduce the problem here.  It looks like the
> > problem is that display-battery-mode forces redisplay by calling
> > sit-for (display-time-mode wisely doesn't).
> 
> Okay, good. I see that now. I was having trouble for a while figuring
> out how to get the backtrace
> 
> Lisp Backtrace:
> "redisplay_internal (C function)" (0x0)
> "redisplay" (0xffffa0d8)
> "sit-for" (0xffffa600)
> "battery-update-handler" (0xffffac78)
> "apply" (0xffffac70)
> "timer-event-handler" (0xffffb1b8)
> "x-popup-menu" (0xffffc6c0)
> "popup-menu" (0xffffcc00)
> "menu-bar-open" (0xffffd430)
> "funcall-interactively" (0xffffd428)
> "call-interactively" (0xffffd580)
> "command-execute" (0xffffdac8)

Right, I see this as well.

Could you please try the current master, and see if the problem is
solved?  I could only test that on MS-Windows (don't have access to a
Posix system with battery status reporting).